package org.fabimon.FlowerBot;

import org.newdawn.slick.Animation;
import org.newdawn.slick.Color;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;
import org.newdawn.slick.Image;
import org.newdawn.slick.Input;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.state.BasicGameState;
import org.newdawn.slick.state.StateBasedGame;
import org.newdawn.slick.state.transition.FadeInTransition;
import org.newdawn.slick.state.transition.FadeOutTransition;

public class FBInsScreenPolice extends BasicGameState {
	private Input input;

	private Animation Pulse;
	private Animation Circle;
	private Animation Bars;
	private Image police;
	
	private Image Frame;
	private Image Text2;
	
	private int step = 0;
	
	private Image ControllSpace;
			
	@Override
	public void init(GameContainer arg0, StateBasedGame game) throws SlickException {
		input = new Input(800);
		input.disableKeyRepeat();
		
		Pulse = new Animation();
		Pulse.addFrame(new Image("res/instruction/pulse/0.png"), 100);
		Pulse.addFrame(new Image("res/instruction/pulse/1.png"), 100);
		Pulse.addFrame(new Image("res/instruction/pulse/2.png"), 100);
		Pulse.addFrame(new Image("res/instruction/pulse/3.png"), 100);
		Pulse.addFrame(new Image("res/instruction/pulse/4.png"), 100);
		Pulse.addFrame(new Image("res/instruction/pulse/5.png"), 100);
		Pulse.addFrame(new Image("res/instruction/pulse/6.png"), 100);
		Pulse.addFrame(new Image("res/instruction/pulse/7.png"), 100);
		Pulse.addFrame(new Image("res/instruction/pulse/8.png"), 100);
		Pulse.addFrame(new Image("res/instruction/pulse/9.png"), 100);
		
		Bars = new Animation();
		Bars.addFrame(new Image("res/instruction/bars/0.png"), 100);
		Bars.addFrame(new Image("res/instruction/bars/1.png"), 100);
		Bars.addFrame(new Image("res/instruction/bars/2.png"), 100);
		Bars.addFrame(new Image("res/instruction/bars/3.png"), 100);
		Bars.addFrame(new Image("res/instruction/bars/4.png"), 100);
		
		Circle = new Animation();
		Circle.addFrame(new Image("res/instruction/circle/0.png"), 400);
		Circle.addFrame(new Image("res/instruction/circle/1.png"), 400);
		Circle.addFrame(new Image("res/instruction/circle/2.png"), 400);
		
		Frame = new Image("res/instruction/frame.png");
		Text2 = new Image("res/instruction/text/2.png");
		
		ControllSpace = new Image("res/instruction/space.png");
		
		police = new Image("res/ground/police.png");
	}

	@Override
	public void render(GameContainer arg0, StateBasedGame game, Graphics g) throws SlickException {
		g.scale(FlowerBotGame.getScale(), FlowerBotGame.getScale());
		
		g.setColor(new Color(0, 0, 0));
		g.fillRect(0, 0, 1279, 799);
		
		Pulse.draw(1297-250, 20);
		Bars.draw(1150, 620);
		Circle.draw(20, 20);
		Frame.draw(246, 176);
		
		if (step == 0) {
			Text2.draw(246, 176);
		}
		
		if (step > 5) {
			police.draw(350, 180);
		}
		ControllSpace.draw(540, 660);
	}

	@Override
	public void update(GameContainer arg0, StateBasedGame game, int delta) throws SlickException {
		
		if(input.isKeyDown(Input.KEY_SPACE)) {
			
			if (step == 0) {
				step = 5;
			}
			step = step +1;
			if (step > 50) {
				FBGame.setFuture(true);
				game.enterState(1, new FadeOutTransition(Color.black), new FadeInTransition(Color.black));
			}
			
			System.out.println(step);
		}
	}

	@Override
	public int getID() {
		return 5;
	}
}
